Digital Humans
POST /v1/create-digital-humans
Create several Digital Humans.
POST /v1/create-digital-humans
curl --request POST \
--url https://api.getbluejay.ai/v1/create-digital-humansimport requests
url = "https://api.getbluejay.ai/v1/create-digital-humans"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.getbluejay.ai/v1/create-digital-humans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getbluejay.ai/v1/create-digital-humans",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getbluejay.ai/v1/create-digital-humans"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.getbluejay.ai/v1/create-digital-humans")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getbluejay.ai/v1/create-digital-humans")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_bodyCreates many Digital Humans in one request. Each item in
digital_humans takes the same fields as Create Digital Human. Items that fail validation return per-item errors. The other items are created.
If you omit them, allow_silence_tool is false and silence_tool_instructions is "default".
Rate limit: 20 requests per minute.
Headers
Request body
Response
Status codes
| Status | Meaning |
|---|---|
200 | Successful Response |
422 | Validation Error |
Example request
curl --request POST \
--url https://api.getbluejay.ai/v1/create-digital-humans \
--header 'X-API-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"simulation_ids": [
123
],
"digital_humans": [
{
"bluejay_as_code_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"intent": "",
"success_criteria": "",
"name": "<string>",
"tag": "<string>",
"tags": [
"<string>"
],
"type": "voicemail_custom",
"system_prompt_rule_ids": [
"<string>"
],
"system_prompt_rule_quotes": [
"<string>"
],
"language": "en",
"accent": "multilingual",
"gender": "male",
"custom_voice_id": "<string>",
"background_noise": "none",
"custom_background_noise_url": "<string>",
"voice_speed": "slowest",
"audio_quality": "high",
"fluency": "beginner",
"verbosity": "low",
"phone_number": "<string>",
"extension": "<string>",
"outbound_text_number": "<string>",
"follow_up_sms_success_criteria": "<string>",
"background_noise_volume": 0.8,
"expected_tool_calls": [
{
"name": "<string>",
"parameters": {},
"output": null
}
],
"allow_end_call_tool": true,
"allow_silence_tool": true,
"allow_dtmf_tool": true,
"default_dtmf_or_voiced": "voiced",
"silence_tool_instructions": "default",
"endpointing_delay": 1.5,
"creativity": 0.7,
"hangup_phrases": [
"<string>"
],
"hangup_instructions": "<string>",
"silence_timeout": 123,
"role_description": "<string>",
"traits": [
{
"trait_name": "<string>",
"trait_data_type": "BOOLEAN",
"value": null,
"is_sip_header": false
}
],
"interruptions": {
"type": "none"
},
"scripted_responses": [
{
"match_type": "exact",
"match_phrase": "<string>",
"response_type": "phrase",
"response_value": "<string>",
"scripted_response_audio_snippet_url": "<string>",
"occurrence_mode": "always",
"occurrence_n": 123,
"silence_duration": 123
}
],
"scripted_responses_ordered": false,
"speaks_first_config": {
"speaks_first": true,
"mode": "custom",
"message": "<string>",
"dynamic": true
},
"original_transcript": "<string>",
"formatted_transcript": [
{
"key": "<string>"
}
],
"enriched_playback": [
{}
],
"workflow_v2_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow_path_index": 123,
"tested_path": [
"<string>"
],
"journey_steps": [
{
"step": 123,
"intent": "",
"success_criteria": "",
"modality": "voice",
"direction": "inbound",
"wait_seconds": 123,
"response_window_seconds": 123,
"unresponsive": false,
"phone_number": "<string>"
}
],
"always_on_mode": false,
"always_on_active": true,
"num_runs": 1,
"livekit_metadata": {},
"test_name": "<string>",
"attack_vector": "<string>",
"attack_type": "<string>",
"attack_plan": {}
}
]
}'
Example response
200
{
"created": [
{
"digital_human": {
"id": 123,
"bluejay_as_code_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"intent": "<string>",
"success_criteria": "<string>",
"tag": "<string>",
"tags": [
"<string>"
],
"type": "voicemail_custom",
"system_prompt_rule_ids": [
"<string>"
],
"system_prompt_rule_quotes": [
"<string>"
],
"name": "<string>",
"language": "en",
"accent": "multilingual",
"gender": "male",
"custom_voice_id": "<string>",
"background_noise": "<string>",
"custom_background_noise_url": "<string>",
"voice_speed": "<string>",
"audio_quality": "<string>",
"fluency": "<string>",
"verbosity": "<string>",
"phone_number": "<string>",
"extension": "<string>",
"outbound_text_number": "<string>",
"follow_up_sms_success_criteria": "<string>",
"websocket_url": "<string>",
"background_noise_volume": 1.5,
"expected_tool_calls": [
{
"name": null,
"parameters": {},
"output": null
}
],
"allow_end_call_tool": true,
"allow_silence_tool": true,
"allow_dtmf_tool": true,
"default_dtmf_or_voiced": "voiced",
"silence_tool_instructions": "default",
"endpointing_delay": 1.5,
"creativity": 1.5,
"hangup_phrases": [
"<string>"
],
"hangup_instructions": "<string>",
"silence_timeout": 123,
"role_description": "<string>",
"created_at": "2026-01-01T00:00:00Z",
"traits": [
{
"trait_name": null,
"trait_data_type": "BOOLEAN",
"value": null,
"is_sip_header": false
}
],
"interruptions": {},
"scripted_responses": [
{
"match_type": "exact",
"match_phrase": null,
"response_type": "phrase",
"response_value": null,
"scripted_response_audio_snippet_url": null,
"occurrence_mode": "always",
"occurrence_n": null,
"silence_duration": null
}
],
"scripted_responses_ordered": false,
"speaks_first_config": {
"speaks_first": true,
"mode": "custom",
"message": "<string>",
"dynamic": true
},
"original_transcript": "<string>",
"formatted_transcript": [
{
"key": null
}
],
"enriched_playback": [
{}
],
"workflow_v2_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow_path_index": 123,
"tested_path": [
"<string>"
],
"livekit_metadata": {},
"test_name": "<string>",
"journey_steps": [
{
"step": null,
"intent": "",
"success_criteria": "",
"modality": "voice",
"direction": "inbound",
"wait_seconds": null,
"response_window_seconds": null,
"unresponsive": false,
"phone_number": null
}
],
"always_on_mode": true,
"always_on_active": false,
"num_runs": 1,
"attack_vector": "<string>",
"attack_type": "<string>",
"attack_plan": {}
},
"simulation_ids": [
123
],
"simulation_id": 123
}
],
"errors": [
{}
]
}
Last modified on October 21, 2026
⌘I
POST /v1/create-digital-humans
curl --request POST \
--url https://api.getbluejay.ai/v1/create-digital-humansimport requests
url = "https://api.getbluejay.ai/v1/create-digital-humans"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.getbluejay.ai/v1/create-digital-humans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getbluejay.ai/v1/create-digital-humans",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getbluejay.ai/v1/create-digital-humans"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.getbluejay.ai/v1/create-digital-humans")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getbluejay.ai/v1/create-digital-humans")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_body